AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.6

AMPS::Message Member List

This is the complete list of members for AMPS::Message, including all inherited members.

assignAckType(const std::string &v) | AMPS::Message | inline
assignAckType(const char *data, size_t len) | AMPS::Message | inline
assignBatchSize(const std::string &v) | AMPS::Message | inline
assignBatchSize(const char *data, size_t len) | AMPS::Message | inline
assignBookmark(const std::string &v) | AMPS::Message | inline
assignBookmark(const char *data, size_t len) | AMPS::Message | inline
assignClientName(const std::string &v) | AMPS::Message | inline
assignClientName(const char *data, size_t len) | AMPS::Message | inline
assignCommand(const std::string &v) | AMPS::Message | inline
assignCommand(const char *data, size_t len) | AMPS::Message | inline
assignCommandId(const std::string &v) | AMPS::Message | inline
assignCommandId(const char *data, size_t len) | AMPS::Message | inline
assignCorrelationId(const std::string &v) | AMPS::Message | inline
assignCorrelationId(const char *data, size_t len) | AMPS::Message | inline
assignExpiration(const std::string &v) | AMPS::Message | inline
assignExpiration(const char *data, size_t len) | AMPS::Message | inline
assignFilter(const std::string &v) | AMPS::Message | inline
assignFilter(const char *data, size_t len) | AMPS::Message | inline
assignGroupSequenceNumber(const std::string &v) | AMPS::Message | inline
assignGroupSequenceNumber(const char *data, size_t len) | AMPS::Message | inline
assignHeartbeat(const std::string &v) | AMPS::Message | inline
assignHeartbeat(const char *data, size_t len) | AMPS::Message | inline
assignLeasePeriod(const std::string &v) | AMPS::Message | inline
assignLeasePeriod(const char *data, size_t len) | AMPS::Message | inline
assignMatches(const std::string &v) | AMPS::Message | inline
assignMatches(const char *data, size_t len) | AMPS::Message | inline
assignMessageLength(const std::string &v) | AMPS::Message | inline
assignMessageLength(const char *data, size_t len) | AMPS::Message | inline
assignMessageType(const std::string &v) | AMPS::Message | inline
assignMessageType(const char *data, size_t len) | AMPS::Message | inline
assignOptions(const std::string &v) | AMPS::Message | inline
assignOptions(const char *data, size_t len) | AMPS::Message | inline
assignOrderBy(const std::string &v) | AMPS::Message | inline
assignOrderBy(const char *data, size_t len) | AMPS::Message | inline
assignOwnershipAckType(const Field &f) | AMPS::Message | inline
assignOwnershipBatchSize(const Field &f) | AMPS::Message | inline
assignOwnershipBookmark(const Field &f) | AMPS::Message | inline
assignOwnershipClientName(const Field &f) | AMPS::Message | inline
assignOwnershipCommand(const Field &f) | AMPS::Message | inline
assignOwnershipCommandId(const Field &f) | AMPS::Message | inline
assignOwnershipCorrelationId(const Field &f) | AMPS::Message | inline
assignOwnershipExpiration(const Field &f) | AMPS::Message | inline
assignOwnershipFilter(const Field &f) | AMPS::Message | inline
assignOwnershipGroupSequenceNumber(const Field &f) | AMPS::Message | inline
assignOwnershipHeartbeat(const Field &f) | AMPS::Message | inline
assignOwnershipLeasePeriod(const Field &f) | AMPS::Message | inline
assignOwnershipMatches(const Field &f) | AMPS::Message | inline
assignOwnershipMessageLength(const Field &f) | AMPS::Message | inline
assignOwnershipMessageType(const Field &f) | AMPS::Message | inline
assignOwnershipOrderBy(const Field &f) | AMPS::Message | inline
assignOwnershipPassword(const Field &f) | AMPS::Message | inline
assignOwnershipReason(const Field &f) | AMPS::Message | inline
assignOwnershipRecordsInserted(const Field &f) | AMPS::Message | inline
assignOwnershipRecordsReturned(const Field &f) | AMPS::Message | inline
assignOwnershipRecordsUpdated(const Field &f) | AMPS::Message | inline
assignOwnershipSequence(const Field &f) | AMPS::Message | inline
assignOwnershipSowDelete(const Field &f) | AMPS::Message | inline
assignOwnershipSowKey(const Field &f) | AMPS::Message | inline
assignOwnershipSowKeys(const Field &f) | AMPS::Message | inline
assignOwnershipStatus(const Field &f) | AMPS::Message | inline
assignOwnershipSubscriptionIds(const Field &f) | AMPS::Message | inline
assignOwnershipTimeoutInterval(const Field &f) | AMPS::Message | inline
assignOwnershipTimestamp(const Field &f) | AMPS::Message | inline
assignOwnershipTopic(const Field &f) | AMPS::Message | inline
assignOwnershipTopicMatches(const Field &f) | AMPS::Message | inline
assignOwnershipTopNRecordsReturned(const Field &f) | AMPS::Message | inline
assignOwnershipUserId(const Field &f) | AMPS::Message | inline
assignOwnershipVersion(const Field &f) | AMPS::Message | inline
assignPassword(const std::string &v) | AMPS::Message | inline
assignPassword(const char *data, size_t len) | AMPS::Message | inline
assignQueryId(const std::string &v) | AMPS::Message | inline
assignQueryId(const char *data, size_t len) | AMPS::Message | inline
assignQueryID(const std::string &v) | AMPS::Message | inline
assignQueryID(const char *data, size_t len) | AMPS::Message | inline
assignReason(const std::string &v) | AMPS::Message | inline
assignReason(const char *data, size_t len) | AMPS::Message | inline
assignRecordsInserted(const std::string &v) | AMPS::Message | inline
assignRecordsInserted(const char *data, size_t len) | AMPS::Message | inline
assignRecordsReturned(const std::string &v) | AMPS::Message | inline
assignRecordsReturned(const char *data, size_t len) | AMPS::Message | inline
assignRecordsUpdated(const std::string &v) | AMPS::Message | inline
assignRecordsUpdated(const char *data, size_t len) | AMPS::Message | inline
assignSequence(const std::string &v) | AMPS::Message | inline
assignSequence(const char *data, size_t len) | AMPS::Message | inline
assignSowDelete(const std::string &v) | AMPS::Message | inline
assignSowDelete(const char *data, size_t len) | AMPS::Message | inline
assignSowKey(const std::string &v) | AMPS::Message | inline
assignSowKey(const char *data, size_t len) | AMPS::Message | inline
assignSowKeys(const std::string &v) | AMPS::Message | inline
assignSowKeys(const char *data, size_t len) | AMPS::Message | inline
assignStatus(const std::string &v) | AMPS::Message | inline
assignStatus(const char *data, size_t len) | AMPS::Message | inline
assignSubId(const std::string &v) | AMPS::Message | inline
assignSubId(const char *data, size_t len) | AMPS::Message | inline
assignSubscriptionId(const std::string &v) | AMPS::Message | inline
assignSubscriptionId(const char *data, size_t len) | AMPS::Message | inline
assignSubscriptionIds(const std::string &v) | AMPS::Message | inline
assignSubscriptionIds(const char *data, size_t len) | AMPS::Message | inline
assignTimeoutInterval(const std::string &v) | AMPS::Message | inline
assignTimeoutInterval(const char *data, size_t len) | AMPS::Message | inline
assignTimestamp(const std::string &v) | AMPS::Message | inline
assignTimestamp(const char *data, size_t len) | AMPS::Message | inline
assignTopic(const std::string &v) | AMPS::Message | inline
assignTopic(const char *data, size_t len) | AMPS::Message | inline
assignTopicMatches(const std::string &v) | AMPS::Message | inline
assignTopicMatches(const char *data, size_t len) | AMPS::Message | inline
assignTopNRecordsReturned(const std::string &v) | AMPS::Message | inline
assignTopNRecordsReturned(const char *data, size_t len) | AMPS::Message | inline
assignUserId(const std::string &v) | AMPS::Message | inline
assignUserId(const char *data, size_t len) | AMPS::Message | inline
assignVersion(const std::string &v) | AMPS::Message | inline
assignVersion(const char *data, size_t len) | AMPS::Message | inline
BOOKMARK_NONE | AMPS::Message | static
CtorFlag enum name | AMPS::Message |
decodeSingleAckType(const char *begin, const char *end) | AMPS::Message | inline static
deepCopy(void) const | AMPS::Message | inline
deepCopy(const Message &rhs_) | AMPS::Message | inline
getAckType() const | AMPS::Message | inline
getAckTypeEnum() const | AMPS::Message | inline
getBatchSize() const | AMPS::Message | inline
getBookmark() const | AMPS::Message | inline
getClientName() const | AMPS::Message | inline
getCommand() const | AMPS::Message | inline
getCommandEnum() const | AMPS::Message | inline
getCommandId() const | AMPS::Message | inline
getCorrelationId() const | AMPS::Message | inline
getData() const | AMPS::Message | inline
getExpiration() const | AMPS::Message | inline
getFilter() const | AMPS::Message | inline
getGroupSequenceNumber() const | AMPS::Message | inline
getHeartbeat() const | AMPS::Message | inline
getLeasePeriod() const | AMPS::Message | inline
getMatches() const | AMPS::Message | inline
getMessageLength() const | AMPS::Message | inline
getMessageType() const | AMPS::Message | inline
getOptions() const | AMPS::Message | inline
getOrderBy() const | AMPS::Message | inline
getPassword() const | AMPS::Message | inline
getQueryId() const | AMPS::Message | inline
getQueryID() const | AMPS::Message | inline
getRawAckType(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawBatchSize(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawBookmark(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawClientName(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawCommand(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawCommandId(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawCorrelationId(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawExpiration(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawFilter(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawGroupSequenceNumber(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawHeartbeat(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawLeasePeriod(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawMatches(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawMessageLength(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawMessageType(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawOptions(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawOrderBy(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawPassword(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawQueryId(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawQueryID(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawReason(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawRecordsInserted(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawRecordsReturned(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawRecordsUpdated(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawSequence(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawSowDelete(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawSowKey(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawSowKeys(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawStatus(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawSubId(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawSubscriptionId(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawSubscriptionIds(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawTimeoutInterval(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawTimestamp(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawTopic(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawTopicMatches(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawTopNRecordsReturned(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawTransmissionTime(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawUserId(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getRawVersion(const char **dataptr, size_t *sizeptr) const | AMPS::Message | inline
getReason() const | AMPS::Message | inline
getRecordsInserted() const | AMPS::Message | inline
getRecordsReturned() const | AMPS::Message | inline
getRecordsUpdated() const | AMPS::Message | inline
getSequence() const | AMPS::Message | inline
getSowDelete() const | AMPS::Message | inline
getSowKey() const | AMPS::Message | inline
getSowKeys() const | AMPS::Message | inline
getStatus() const | AMPS::Message | inline
getSubId() const | AMPS::Message | inline
getSubscriptionId() const | AMPS::Message | inline
getSubscriptionIds() const | AMPS::Message | inline
getTimeoutInterval() const | AMPS::Message | inline
getTimestamp() const | AMPS::Message | inline
getTopic() const | AMPS::Message | inline
getTopicMatches() const | AMPS::Message | inline
getTopNRecordsReturned() const | AMPS::Message | inline
getTransmissionTime() const | AMPS::Message | inline
getUserId() const | AMPS::Message | inline
getVersion() const | AMPS::Message | inline
IdentifierLength | AMPS::Message | static
Message(CtorFlag) | AMPS::Message | inline
Message(amps_handle message_, bool owner_=false) | AMPS::Message | inline
Message() | AMPS::Message | inline
newAckType() | AMPS::Message | inline
newBatchSize() | AMPS::Message | inline
newBookmark() | AMPS::Message | inline
newClientName() | AMPS::Message | inline
newCommand() | AMPS::Message | inline
newCommandId() | AMPS::Message | inline
newCorrelationId() | AMPS::Message | inline
newExpiration() | AMPS::Message | inline
newFilter() | AMPS::Message | inline
newGroupSequenceNumber() | AMPS::Message | inline
newHeartbeat() | AMPS::Message | inline
newLeasePeriod() | AMPS::Message | inline
newMatches() | AMPS::Message | inline
newMessageLength() | AMPS::Message | inline
newMessageType() | AMPS::Message | inline
newOrderBy() | AMPS::Message | inline
newPassword() | AMPS::Message | inline
newQueryID() | AMPS::Message | inline
newQueryId() | AMPS::Message | inline
newReason() | AMPS::Message | inline
newRecordsInserted() | AMPS::Message | inline
newRecordsReturned() | AMPS::Message | inline
newRecordsUpdated() | AMPS::Message | inline
newSequence() | AMPS::Message | inline
newSowDelete() | AMPS::Message | inline
newSowKey() | AMPS::Message | inline
newSowKeys() | AMPS::Message | inline
newStatus() | AMPS::Message | inline
newSubId() | AMPS::Message | inline
newSubscriptionId() | AMPS::Message | inline
newSubscriptionIds() | AMPS::Message | inline
newTimeoutInterval() | AMPS::Message | inline
newTimestamp() | AMPS::Message | inline
newTopic() | AMPS::Message | inline
newTopicMatches() | AMPS::Message | inline
newTopNRecordsReturned() | AMPS::Message | inline
newUserId() | AMPS::Message | inline
newVersion() | AMPS::Message | inline
setAckType(const std::string &v) | AMPS::Message | inline
setAckType(amps_uint64_t v) | AMPS::Message | inline
setAckType(const char *str) | AMPS::Message | inline
setAckType(const char *str, size_t len) | AMPS::Message | inline
setAckTypeEnum(unsigned ackType_) | AMPS::Message | inline
setBatchSize(const std::string &v) | AMPS::Message | inline
setBatchSize(amps_uint64_t v) | AMPS::Message | inline
setBatchSize(const char *str) | AMPS::Message | inline
setBatchSize(const char *str, size_t len) | AMPS::Message | inline
setBookmark(const std::string &v) | AMPS::Message | inline
setBookmark(amps_uint64_t v) | AMPS::Message | inline
setBookmark(const char *str) | AMPS::Message | inline
setBookmark(const char *str, size_t len) | AMPS::Message | inline
setClientName(const std::string &v) | AMPS::Message | inline
setClientName(amps_uint64_t v) | AMPS::Message | inline
setClientName(const char *str) | AMPS::Message | inline
setClientName(const char *str, size_t len) | AMPS::Message | inline
setCommand(const std::string &v) | AMPS::Message | inline
setCommand(amps_uint64_t v) | AMPS::Message | inline
setCommand(const char *str) | AMPS::Message | inline
setCommand(const char *str, size_t len) | AMPS::Message | inline
setCommandEnum(Command::Type command_) | AMPS::Message | inline
setCommandId(const std::string &v) | AMPS::Message | inline
setCommandId(amps_uint64_t v) | AMPS::Message | inline
setCommandId(const char *str) | AMPS::Message | inline
setCommandId(const char *str, size_t len) | AMPS::Message | inline
setCorrelationId(const std::string &v) | AMPS::Message | inline
setCorrelationId(amps_uint64_t v) | AMPS::Message | inline
setCorrelationId(const char *str) | AMPS::Message | inline
setCorrelationId(const char *str, size_t len) | AMPS::Message | inline
setData(const std::string &v_) | AMPS::Message | inline
setData(const char *data_, size_t length_) | AMPS::Message | inline
setData(const char *data_) | AMPS::Message | inline
setExpiration(const std::string &v) | AMPS::Message | inline
setExpiration(amps_uint64_t v) | AMPS::Message | inline
setExpiration(const char *str) | AMPS::Message | inline
setExpiration(const char *str, size_t len) | AMPS::Message | inline
setFilter(const std::string &v) | AMPS::Message | inline
setFilter(amps_uint64_t v) | AMPS::Message | inline
setFilter(const char *str) | AMPS::Message | inline
setFilter(const char *str, size_t len) | AMPS::Message | inline
setGroupSequenceNumber(const std::string &v) | AMPS::Message | inline
setGroupSequenceNumber(amps_uint64_t v) | AMPS::Message | inline
setGroupSequenceNumber(const char *str) | AMPS::Message | inline
setGroupSequenceNumber(const char *str, size_t len) | AMPS::Message | inline
setHeartbeat(const std::string &v) | AMPS::Message | inline
setHeartbeat(amps_uint64_t v) | AMPS::Message | inline
setHeartbeat(const char *str) | AMPS::Message | inline
setHeartbeat(const char *str, size_t len) | AMPS::Message | inline
setLeasePeriod(const std::string &v) | AMPS::Message | inline
setLeasePeriod(amps_uint64_t v) | AMPS::Message | inline
setLeasePeriod(const char *str) | AMPS::Message | inline
setLeasePeriod(const char *str, size_t len) | AMPS::Message | inline
setMatches(const std::string &v) | AMPS::Message | inline
setMatches(amps_uint64_t v) | AMPS::Message | inline
setMatches(const char *str) | AMPS::Message | inline
setMatches(const char *str, size_t len) | AMPS::Message | inline
setMessageLength(const std::string &v) | AMPS::Message | inline
setMessageLength(amps_uint64_t v) | AMPS::Message | inline
setMessageLength(const char *str) | AMPS::Message | inline
setMessageLength(const char *str, size_t len) | AMPS::Message | inline
setMessageType(const std::string &v) | AMPS::Message | inline
setMessageType(amps_uint64_t v) | AMPS::Message | inline
setMessageType(const char *str) | AMPS::Message | inline
setMessageType(const char *str, size_t len) | AMPS::Message | inline
setOptions(const std::string &v) | AMPS::Message | inline
setOptions(const char *str) | AMPS::Message | inline
setOptions(const char *str, size_t len) | AMPS::Message | inline
setOrderBy(const std::string &v) | AMPS::Message | inline
setOrderBy(amps_uint64_t v) | AMPS::Message | inline
setOrderBy(const char *str) | AMPS::Message | inline
setOrderBy(const char *str, size_t len) | AMPS::Message | inline
setPassword(const std::string &v) | AMPS::Message | inline
setPassword(amps_uint64_t v) | AMPS::Message | inline
setPassword(const char *str) | AMPS::Message | inline
setPassword(const char *str, size_t len) | AMPS::Message | inline
setQueryId(const std::string &v) | AMPS::Message | inline
setQueryId(amps_uint64_t v) | AMPS::Message | inline
setQueryId(const char *str) | AMPS::Message | inline
setQueryId(const char *str, size_t len) | AMPS::Message | inline
setQueryID(const std::string &v) | AMPS::Message | inline
setQueryID(amps_uint64_t v) | AMPS::Message | inline
setQueryID(const char *str) | AMPS::Message | inline
setQueryID(const char *str, size_t len) | AMPS::Message | inline
setReason(const std::string &v) | AMPS::Message | inline
setReason(amps_uint64_t v) | AMPS::Message | inline
setReason(const char *str) | AMPS::Message | inline
setReason(const char *str, size_t len) | AMPS::Message | inline
setRecordsInserted(const std::string &v) | AMPS::Message | inline
setRecordsInserted(amps_uint64_t v) | AMPS::Message | inline
setRecordsInserted(const char *str) | AMPS::Message | inline
setRecordsInserted(const char *str, size_t len) | AMPS::Message | inline
setRecordsReturned(const std::string &v) | AMPS::Message | inline
setRecordsReturned(amps_uint64_t v) | AMPS::Message | inline
setRecordsReturned(const char *str) | AMPS::Message | inline
setRecordsReturned(const char *str, size_t len) | AMPS::Message | inline
setRecordsUpdated(const std::string &v) | AMPS::Message | inline
setRecordsUpdated(amps_uint64_t v) | AMPS::Message | inline
setRecordsUpdated(const char *str) | AMPS::Message | inline
setRecordsUpdated(const char *str, size_t len) | AMPS::Message | inline
setSequence(const std::string &v) | AMPS::Message | inline
setSequence(amps_uint64_t v) | AMPS::Message | inline
setSequence(const char *str) | AMPS::Message | inline
setSequence(const char *str, size_t len) | AMPS::Message | inline
setSowDelete(const std::string &v) | AMPS::Message | inline
setSowDelete(amps_uint64_t v) | AMPS::Message | inline
setSowDelete(const char *str) | AMPS::Message | inline
setSowDelete(const char *str, size_t len) | AMPS::Message | inline
setSowKey(const std::string &v) | AMPS::Message | inline
setSowKey(amps_uint64_t v) | AMPS::Message | inline
setSowKey(const char *str) | AMPS::Message | inline
setSowKey(const char *str, size_t len) | AMPS::Message | inline
setSowKeys(const std::string &v) | AMPS::Message | inline
setSowKeys(amps_uint64_t v) | AMPS::Message | inline
setSowKeys(const char *str) | AMPS::Message | inline
setSowKeys(const char *str, size_t len) | AMPS::Message | inline
setStatus(const std::string &v) | AMPS::Message | inline
setStatus(amps_uint64_t v) | AMPS::Message | inline
setStatus(const char *str) | AMPS::Message | inline
setStatus(const char *str, size_t len) | AMPS::Message | inline
setSubId(const std::string &v) | AMPS::Message | inline
setSubId(amps_uint64_t v) | AMPS::Message | inline
setSubId(const char *str) | AMPS::Message | inline
setSubId(const char *str, size_t len) | AMPS::Message | inline
setSubscriptionId(const std::string &v) | AMPS::Message | inline
setSubscriptionId(amps_uint64_t v) | AMPS::Message | inline
setSubscriptionId(const char *str) | AMPS::Message | inline
setSubscriptionId(const char *str, size_t len) | AMPS::Message | inline
setSubscriptionIds(const std::string &v) | AMPS::Message | inline
setSubscriptionIds(amps_uint64_t v) | AMPS::Message | inline
setSubscriptionIds(const char *str) | AMPS::Message | inline
setSubscriptionIds(const char *str, size_t len) | AMPS::Message | inline
setTimeoutInterval(const std::string &v) | AMPS::Message | inline
setTimeoutInterval(amps_uint64_t v) | AMPS::Message | inline
setTimeoutInterval(const char *str) | AMPS::Message | inline
setTimeoutInterval(const char *str, size_t len) | AMPS::Message | inline
setTimestamp(const std::string &v) | AMPS::Message | inline
setTimestamp(amps_uint64_t v) | AMPS::Message | inline
setTimestamp(const char *str) | AMPS::Message | inline
setTimestamp(const char *str, size_t len) | AMPS::Message | inline
setTopic(const std::string &v) | AMPS::Message | inline
setTopic(amps_uint64_t v) | AMPS::Message | inline
setTopic(const char *str) | AMPS::Message | inline
setTopic(const char *str, size_t len) | AMPS::Message | inline
setTopicMatches(const std::string &v) | AMPS::Message | inline
setTopicMatches(amps_uint64_t v) | AMPS::Message | inline
setTopicMatches(const char *str) | AMPS::Message | inline
setTopicMatches(const char *str, size_t len) | AMPS::Message | inline
setTopNRecordsReturned(const std::string &v) | AMPS::Message | inline
setTopNRecordsReturned(amps_uint64_t v) | AMPS::Message | inline
setTopNRecordsReturned(const char *str) | AMPS::Message | inline
setTopNRecordsReturned(const char *str, size_t len) | AMPS::Message | inline
setUserId(const std::string &v) | AMPS::Message | inline
setUserId(amps_uint64_t v) | AMPS::Message | inline
setUserId(const char *str) | AMPS::Message | inline
setUserId(const char *str, size_t len) | AMPS::Message | inline
setVersion(const std::string &v) | AMPS::Message | inline
setVersion(amps_uint64_t v) | AMPS::Message | inline
setVersion(const char *str) | AMPS::Message | inline
setVersion(const char *str, size_t len) | AMPS::Message | inline